import React from 'react';
import PropTypes from 'prop-types';

const EmphasisIcon = ({ className, size = 16, ...props }) => (
  <svg
    {...props}
    className={className}
    width={size}
    height={size}
    viewBox="0 0 19 19"
    version="1.1"
  >
    <g fill="none" fillRule="evenodd">
      <path d="M0 0H24V24H0z" />
      <path
        fill="#000"
        d="M8 6H18V8H8zM8 11H20V13H8zM8 16H18V18H8zM4 19L6 19 6 5 4 5z"
      />
    </g>
  </svg>
);

EmphasisIcon.propTypes = {
  className: PropTypes.string,
  size: PropTypes.number,
};

export { EmphasisIcon };
