import { EmphasisIcon } from './EmphasisIcon';
import { toggleBlock, isBlockActive } from 'redaktilo-plugin-helpers';
import { EMPHASIS_DEFINITIONS } from './constants';

const buttonConfig = ({
  disabledForBlockTypes = ['summary', 'title'],
} = {}) => ({
  isHighlighted: editor => isBlockActive(editor, EMPHASIS_DEFINITIONS.type),
  isDisabled: editor =>
    disabledForBlockTypes.some(element => isBlockActive(editor, element)),
  icon: EmphasisIcon,
  label: 'Emphasis',
  onClick: (event, editor) => {
    event.preventDefault();
    toggleBlock(editor, EMPHASIS_DEFINITIONS.type);
  },
});

export { buttonConfig };
